package com.dev.swms.server.model.delivery;

import java.util.Date;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.PackageUnit;
import com.dev.energy.server.model.Entity;

/**
 * @author  dev
 * @description 
 */

public class ExecutePlanDetail extends Entity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/** 配送计划 **/
	private ExecutePlan executePlan;
	
	private int lineNo;
	/** 项目名称  **/
	private String project;
	
	/** 货品  **/
	private Item item;
	
	/** 包装单位 */
	private PackageUnit packageUnit;

	/** 计划数量  **/
	private double expectedQuantity;
	
	/** 实际数量  **/
	private double quantity;
	
	/** 工位  **/
	private String station;
	
	/** 计划日期  **/
	private Date planDate;
	
	/** 库管组号  **/
	private String warehouse;
	
	/** 配送班 **/
	private String workGroup;
	
	/** 描述  **/
	private String description;
	
	public ExecutePlanDetail(){}
	
	public boolean equals(final Object other) {
		if (!(other instanceof ExecutePlanDetail))
			return false;
		ExecutePlanDetail castOther = (ExecutePlanDetail) other;
		return new EqualsBuilder()
				.append(executePlan, castOther.getExecutePlan())
				.append(lineNo, castOther.getLineNo())
				.isEquals();
	}

	public int hashCode() {
		return new HashCodeBuilder()
			.append(executePlan)
			.append(lineNo)
			.toHashCode();
	}
	public ExecutePlan getExecutePlan() {
		return executePlan;
	}

	public void setExecutePlan(ExecutePlan executePlan) {
		this.executePlan = executePlan;
	}

	public int getLineNo() {
		return lineNo;
	}

	public void setLineNo(int lineNo) {
		this.lineNo = lineNo;
	}

	public String getProject() {
		return project;
	}

	public void setProject(String project) {
		this.project = project;
	}

	public Item getItem() {
		return item;
	}

	public void setItem(Item item) {
		this.item = item;
	}

	public PackageUnit getPackageUnit() {
		return packageUnit;
	}

	public void setPackageUnit(PackageUnit packageUnit) {
		this.packageUnit = packageUnit;
	}

	public double getExpectedQuantity() {
		return expectedQuantity;
	}

	public void setExpectedQuantity(double expectedQuantity) {
		this.expectedQuantity = expectedQuantity;
	}

	public double getQuantity() {
		return quantity;
	}

	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}

	public String getStation() {
		return station;
	}

	public void setStation(String station) {
		this.station = station;
	}

	public Date getPlanDate() {
		return planDate;
	}

	public void setPlanDate(Date planDate) {
		this.planDate = planDate;
	}

	public String getWarehouse() {
		return warehouse;
	}

	public void setWarehouse(String warehouse) {
		this.warehouse = warehouse;
	}

	public String getWorkGroup() {
		return workGroup;
	}

	public void setWorkGroup(String workGroup) {
		this.workGroup = workGroup;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
}
